Bug 520110 - Escape key in dialog windows doesn't behave as expected
Summary: Escape key in dialog windows doesn't behave as expected
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 12:55 UTC by Jan Stodola
Modified: 2009-09-30 09:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 09:25:26 UTC


Attachments (Terms of Use)

Description Jan Stodola 2009-08-28 12:55:57 UTC
Description of problem:
When pressing Escape key in dialog window during instalation, Anaconda interprets this key as confirmation of selected choice (changes made in dialog window are saved, it depends on dialog window).
This is dangerous on "Writing storage configuration to disk" dialog window, where pressing Escape key = pressing button "Write changes to disk"

Version-Release number of selected component (if applicable):
rawhide-20090827, anaconda-12.17

How reproducible:
always

Steps to Reproduce:
1. start instalation using rawhide-20090827
2. proceed to the first partitioning screen
3. select "Advanced storage configuration"
4. in the "Advance Storage Options" dialog press Escape key
  
Actual results:
Dialog "Configure FCoE Parameters" is shown

Expected results:
"Advance Storage Options" dialog window disappears (the same effect as clicking on the Cancel button)

Additional info:
tested on:
i386 in KVM
ppc + vnc

Comment 1 Radek Vykydal 2009-09-15 12:58:23 UTC
This should be fixed (hopefully for all dialogues) in version 12.25 of anaconda.

Comment 2 Jan Stodola 2009-09-21 12:06:20 UTC
There are still some dialog windows not fixed in anaconda-12.26-1:
Edit Logical Volume
Edit LVM Volume Group
Make Logical Volume
Edit Partition
RAID Options
Make RAID Device
Edit RAID Device

Comment 3 Jan Stodola 2009-09-21 14:56:47 UTC
And some more dialogs in boot loader configuration need to be fixed:
Enter Boot Loader Password
Add end Edit items in "Boot loader operating system list"

Comment 4 Radek Vykydal 2009-09-21 15:39:19 UTC
Thanks for pointing me to another group of dialogs, all those you have mentioned in comments #2 and #3 should be fixed in anaconda 12.27.

Comment 5 Jan Stodola 2009-09-30 09:25:26 UTC
Verified with rawhide-20090929, anaconda-12.31, x86_64 arch in kvm.


Note You need to log in before you can comment on or make changes to this bug.